Bug 1174164 - [Build 20200710] nfs server log messages have too high log level and break ncurses apps
[Build 20200710] nfs server log messages have too high log level and break nc...
Status: NEW
Classification: openSUSE
Product: openSUSE Tumbleweed
Classification: openSUSE
Component: Basesystem
Current
Other Other
: P5 - None : Minor (vote)
: ---
Assigned To: Martin Vidner
E-mail List
https://openqa.opensuse.org/tests/133...
:
Depends on:
Blocks:
  Show dependency treegraph
 
Reported: 2020-07-15 10:54 UTC by Rodion Iafarov
Modified: 2022-06-10 00:26 UTC (History)
4 users (show)

See Also:
Found By: ---
Services Priority:
Business Priority:
Blocker: ---
Marketing QA Status: ---
IT Deployment: ---
locilka: needinfo? (chcao)


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Rodion Iafarov 2020-07-15 10:54:16 UTC
## Observation

An outcome of https://bugzilla.suse.com/show_bug.cgi?id=1011815 

While configuring nfs v4, we get following messages which are having too high log level and break ncurses UI:
[  272.915643] RPC: Registered named UNIX socket transport module.
[  272.916311] RPC: Registered udp transport module.
[  272.916792] RPC: Registered tcp transport module.
[  272.917271] RPC: Registered tcp NFSv4.1 backchannel transport module.
[  272.963167] FS-Cache: Netfs 'nfs' registered for caching
[  272.970896] Key type dns_resolver registered
[  273.125847] NFS: Registering the id_resolver key type
[  273.126467] Key type id_resolver registered
[  273.127110] Key type id_legacy registered

As a result of discussion in bsc#1011815 we could not agree to adjust default log levels on the system level, so the only solution would be to discuss it for messages which should not be reported to the tty as are not critical, like in this case.

Please, suggest if you consider those messages to have relevant log level and we will apply workaround (dmesg -n 4) not to face this issue.

Thanks!

openQA test in scenario opensuse-Tumbleweed-DVD-x86_64-yast2_nfs_v4_client@64bit fails in
[yast2_nfs4_client](https://openqa.opensuse.org/tests/1331134/modules/yast2_nfs4_client/steps/39)

## Test suite description
NFS multi-machine test suite. Maintainer jrivrain@suse.com


## Reproducible

Fails since (at least) Build [20200710](https://openqa.opensuse.org/tests/1331134) (current job)


## Expected result

Last good: [20200709](https://openqa.opensuse.org/tests/1329372) (or more recent)


## Further details

Always latest result in this scenario: [latest](https://openqa.opensuse.org/tests/latest?arch=x86_64&distri=opensuse&flavor=DVD&machine=64bit&test=yast2_nfs_v4_client&version=Tumbleweed)
Comment 2 Lukas Ocilka 2020-08-19 13:48:06 UTC
Why Martin?
Comment 13 Oliver Kurz 2021-03-10 06:06:05 UTC
This is an autogenerated message for openQA integration by the openqa_review script:

This bug is still referenced in a failing openQA test: yast2_nfs_v4_client
https://openqa.opensuse.org/tests/1663112

To prevent further reminder comments one of the following options should be followed:
1. The test scenario is fixed by applying the bug fix to the tested product or the test is adjusted
2. The openQA job group is moved to "Released"
3. The label in the openQA scenario is removed
Comment 14 Oliver Kurz 2021-03-25 06:04:42 UTC
This is an autogenerated message for openQA integration by the openqa_review script:

This bug is still referenced in a failing openQA test: yast2_nfs_v4_client
https://openqa.opensuse.org/tests/1677382

To prevent further reminder comments one of the following options should be followed:
1. The test scenario is fixed by applying the bug fix to the tested product or the test is adjusted
2. The openQA job group is moved to "Released"
3. The label in the openQA scenario is removed
Comment 15 Oliver Kurz 2021-04-09 05:03:20 UTC
This is an autogenerated message for openQA integration by the openqa_review script:

This bug is still referenced in a failing openQA test: yast2_nfs_v4_client
https://openqa.opensuse.org/tests/1692658

To prevent further reminder comments one of the following options should be followed:
1. The test scenario is fixed by applying the bug fix to the tested product or the test is adjusted
2. The openQA job group is moved to "Released"
3. The label in the openQA scenario is removed
Comment 16 openQA Review 2021-04-23 05:17:07 UTC
This is an autogenerated message for openQA integration by the openqa_review script:

This bug is still referenced in a failing openQA test: yast2_nfs_v4_client
https://openqa.opensuse.org/tests/1709428

To prevent further reminder comments one of the following options should be followed:
1. The test scenario is fixed by applying the bug fix to the tested product or the test is adjusted
2. The openQA job group is moved to "Released"
3. The label in the openQA scenario is removed
Comment 17 openQA Review 2021-05-07 05:19:38 UTC
This is an autogenerated message for openQA integration by the openqa_review script:

This bug is still referenced in a failing openQA test: yast2_nfs_v4_client
https://openqa.opensuse.org/tests/1729349

To prevent further reminder comments one of the following options should be followed:
1. The test scenario is fixed by applying the bug fix to the tested product or the test is adjusted
2. The openQA job group is moved to "Released"
3. The label in the openQA scenario is removed
Comment 18 Oliver Kurz 2021-05-21 06:22:19 UTC
This is an autogenerated message for openQA integration by the openqa_review script:

This bug is still referenced in a failing openQA test: yast2_nfs_v4_client
https://openqa.opensuse.org/tests/1750246

To prevent further reminder comments one of the following options should be followed:
1. The test scenario is fixed by applying the bug fix to the tested product or the test is adjusted
2. The openQA job group is moved to "Released"
3. The label in the openQA scenario is removed
Comment 19 Oliver Kurz 2021-06-04 06:23:00 UTC
This is an autogenerated message for openQA integration by the openqa_review script:

This bug is still referenced in a failing openQA test: yast2_nfs_v4_client
https://openqa.opensuse.org/tests/1766340

To prevent further reminder comments one of the following options should be followed:
1. The test scenario is fixed by applying the bug fix to the tested product or the test is adjusted
2. The openQA job group is moved to "Released"
3. The label in the openQA scenario is removed
Comment 20 Oliver Kurz 2021-06-18 06:25:02 UTC
This is an autogenerated message for openQA integration by the openqa_review script:

This bug is still referenced in a failing openQA test: yast2_nfs_v4_client
https://openqa.opensuse.org/tests/1790327

To prevent further reminder comments one of the following options should be followed:
1. The test scenario is fixed by applying the bug fix to the tested product or the test is adjusted
2. The openQA job group is moved to "Released"
3. The label in the openQA scenario is removed
Comment 21 Oliver Kurz 2021-07-02 06:25:15 UTC
This is an autogenerated message for openQA integration by the openqa_review script:

This bug is still referenced in a failing openQA test: yast2_nfs_v4_client
https://openqa.opensuse.org/tests/1812895

To prevent further reminder comments one of the following options should be followed:
1. The test scenario is fixed by applying the bug fix to the tested product or the test is adjusted
2. The openQA job group is moved to "Released" or "EOL" (End-of-Life)
3. The label in the openQA scenario is removed
Comment 22 openQA Review 2021-07-17 01:24:44 UTC
This is an autogenerated message for openQA integration by the openqa_review script:

This bug is still referenced in a failing openQA test: yast2_nfs_v4_client
https://openqa.opensuse.org/tests/1844007

To prevent further reminder comments one of the following options should be followed:
1. The test scenario is fixed by applying the bug fix to the tested product or the test is adjusted
2. The openQA job group is moved to "Released" or "EOL" (End-of-Life)
3. The label in the openQA scenario is removed
Comment 23 openQA Review 2021-07-31 01:55:58 UTC
This is an autogenerated message for openQA integration by the openqa_review script:

This bug is still referenced in a failing openQA test: yast2_nfs_v4_client
https://openqa.opensuse.org/tests/1862557

To prevent further reminder comments one of the following options should be followed:
1. The test scenario is fixed by applying the bug fix to the tested product or the test is adjusted
2. The openQA job group is moved to "Released" or "EOL" (End-of-Life)
3. The label in the openQA scenario is removed
Comment 24 openQA Review 2021-08-15 00:01:12 UTC
This is an autogenerated message for openQA integration by the openqa_review script:

This bug is still referenced in a failing openQA test: yast2_nfs_v4_client
https://openqa.opensuse.org/tests/1873728

To prevent further reminder comments one of the following options should be followed:
1. The test scenario is fixed by applying the bug fix to the tested product or the test is adjusted
2. The openQA job group is moved to "Released" or "EOL" (End-of-Life)
3. The label in the openQA scenario is removed
Comment 25 openQA Review 2021-08-29 23:58:52 UTC
This is an autogenerated message for openQA integration by the openqa_review script:

This bug is still referenced in a failing openQA test: yast2_nfs_v4_client
https://openqa.opensuse.org/tests/1891249

To prevent further reminder comments one of the following options should be followed:
1. The test scenario is fixed by applying the bug fix to the tested product or the test is adjusted
2. The openQA job group is moved to "Released" or "EOL" (End-of-Life)
3. The label in the openQA scenario is removed
Comment 26 openQA Review 2021-09-13 00:00:50 UTC
This is an autogenerated message for openQA integration by the openqa_review script:

This bug is still referenced in a failing openQA test: yast2_nfs_v4_client
https://openqa.opensuse.org/tests/1911966

To prevent further reminder comments one of the following options should be followed:
1. The test scenario is fixed by applying the bug fix to the tested product or the test is adjusted
2. The openQA job group is moved to "Released" or "EOL" (End-of-Life)
3. The bugref in the openQA scenario is removed or replaced, e.g. `label:wontfix:boo1234`
Comment 27 openQA Review 2021-09-27 02:03:45 UTC
This is an autogenerated message for openQA integration by the openqa_review script:

This bug is still referenced in a failing openQA test: yast2_nfs_v4_client
https://openqa.opensuse.org/tests/1939679

To prevent further reminder comments one of the following options should be followed:
1. The test scenario is fixed by applying the bug fix to the tested product or the test is adjusted
2. The openQA job group is moved to "Released" or "EOL" (End-of-Life)
3. The bugref in the openQA scenario is removed or replaced, e.g. `label:wontfix:boo1234`
Comment 28 openQA Review 2021-10-14 00:00:49 UTC
This is an autogenerated message for openQA integration by the openqa_review script:

This bug is still referenced in a failing openQA test: yast2_nfs_v4_client
https://openqa.opensuse.org/tests/1965166

To prevent further reminder comments one of the following options should be followed:
1. The test scenario is fixed by applying the bug fix to the tested product or the test is adjusted
2. The openQA job group is moved to "Released" or "EOL" (End-of-Life)
3. The bugref in the openQA scenario is removed or replaced, e.g. `label:wontfix:boo1234`
Comment 29 openQA Review 2021-10-28 01:04:51 UTC
This is an autogenerated message for openQA integration by the openqa_review script:

This bug is still referenced in a failing openQA test: yast2_nfs_v4_client
https://openqa.opensuse.org/tests/1994779

To prevent further reminder comments one of the following options should be followed:
1. The test scenario is fixed by applying the bug fix to the tested product or the test is adjusted
2. The openQA job group is moved to "Released" or "EOL" (End-of-Life)
3. The bugref in the openQA scenario is removed or replaced, e.g. `label:wontfix:boo1234`
Comment 30 openQA Review 2021-11-12 02:37:33 UTC
This is an autogenerated message for openQA integration by the openqa_review script:

This bug is still referenced in a failing openQA test: yast2_nfs_v4_client
https://openqa.opensuse.org/tests/2029233

To prevent further reminder comments one of the following options should be followed:
1. The test scenario is fixed by applying the bug fix to the tested product or the test is adjusted
2. The openQA job group is moved to "Released" or "EOL" (End-of-Life)
3. The bugref in the openQA scenario is removed or replaced, e.g. `label:wontfix:boo1234`
Comment 31 openQA Review 2021-11-27 00:01:45 UTC
This is an autogenerated message for openQA integration by the openqa_review script:

This bug is still referenced in a failing openQA test: yast2_nfs_v4_client
https://openqa.opensuse.org/tests/2058040

To prevent further reminder comments one of the following options should be followed:
1. The test scenario is fixed by applying the bug fix to the tested product or the test is adjusted
2. The openQA job group is moved to "Released" or "EOL" (End-of-Life)
3. The bugref in the openQA scenario is removed or replaced, e.g. `label:wontfix:boo1234`
Comment 32 openQA Review 2021-12-11 01:47:17 UTC
This is an autogenerated message for openQA integration by the openqa_review script:

This bug is still referenced in a failing openQA test: yast2_nfs_v4_client
https://openqa.opensuse.org/tests/2079460

To prevent further reminder comments one of the following options should be followed:
1. The test scenario is fixed by applying the bug fix to the tested product or the test is adjusted
2. The openQA job group is moved to "Released" or "EOL" (End-of-Life)
3. The bugref in the openQA scenario is removed or replaced, e.g. `label:wontfix:boo1234`
Comment 33 openQA Review 2021-12-25 23:59:08 UTC
This is an autogenerated message for openQA integration by the openqa_review script:

This bug is still referenced in a failing openQA test: yast2_nfs_v4_client
https://openqa.opensuse.org/tests/2103309

To prevent further reminder comments one of the following options should be followed:
1. The test scenario is fixed by applying the bug fix to the tested product or the test is adjusted
2. The openQA job group is moved to "Released" or "EOL" (End-of-Life)
3. The bugref in the openQA scenario is removed or replaced, e.g. `label:wontfix:boo1234`
Comment 34 openQA Review 2022-01-08 23:59:36 UTC
This is an autogenerated message for openQA integration by the openqa_review script:

This bug is still referenced in a failing openQA test: yast2_nfs_v4_client
https://openqa.opensuse.org/tests/2125969

To prevent further reminder comments one of the following options should be followed:
1. The test scenario is fixed by applying the bug fix to the tested product or the test is adjusted
2. The openQA job group is moved to "Released" or "EOL" (End-of-Life)
3. The bugref in the openQA scenario is removed or replaced, e.g. `label:wontfix:boo1234`
Comment 35 openQA Review 2022-01-24 12:32:31 UTC
This is an autogenerated message for openQA integration by the openqa_review script:

This bug is still referenced in a failing openQA test: yast2_nfs_v4_client
https://openqa.opensuse.org/tests/2146641

To prevent further reminder comments one of the following options should be followed:
1. The test scenario is fixed by applying the bug fix to the tested product or the test is adjusted
2. The openQA job group is moved to "Released" or "EOL" (End-of-Life)
3. The bugref in the openQA scenario is removed or replaced, e.g. `label:wontfix:boo1234`
Comment 36 openQA Review 2022-03-11 00:50:26 UTC
This is an autogenerated message for openQA integration by the openqa_review script:

This bug is still referenced in a failing openQA test: yast2_nfs_v4_client
https://openqa.opensuse.org/tests/2237638

To prevent further reminder comments one of the following options should be followed:
1. The test scenario is fixed by applying the bug fix to the tested product or the test is adjusted
2. The openQA job group is moved to "Released" or "EOL" (End-of-Life)
3. The bugref in the openQA scenario is removed or replaced, e.g. `label:wontfix:boo1234`

Expect the next reminder at the earliest in 60 days if nothing changes in this ticket.
Comment 37 openQA Review 2022-06-10 00:26:30 UTC
This is an autogenerated message for openQA integration by the openqa_review script:

This bug is still referenced in a failing openQA test: yast2_nfs_v4_client
https://openqa.opensuse.org/tests/2407629

To prevent further reminder comments one of the following options should be followed:
1. The test scenario is fixed by applying the bug fix to the tested product or the test is adjusted
2. The openQA job group is moved to "Released" or "EOL" (End-of-Life)
3. The bugref in the openQA scenario is removed or replaced, e.g. `label:wontfix:boo1234`

Expect the next reminder at the earliest in 180 days if nothing changes in this ticket.